{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "gift_small"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      "AAA",
      "BCB",
      "AAA"
    ],
    "key": {
      "A": {
        "item": "minecraft:reeds"
      },
      "B": {
        "tag": "minecraft:logs"
      },
      "C": {
        "item": "minecraft:diamond"
      }
    },
    "result": {
      "item": "darkgato:gift_small",
      "count": 1
    }
  }
}